Genscape Power RT - Log In

Welcome to Genscape Power RT

News

Jun 22, 2015 - Facility Monitoring Changes: Mountaineer

Mountaineer: Monitoring Changes

A new 345 kV transmission line has been built in between Mountaineer and Sporn. We are not able to monitor this line and are instead monitoring all the 345 kV lines out of the Sporn substation. This will include the lines to Kanawha River, Waterford, and Tri-State. The lines to Amos and Kyger Creek are already monitored. Our field agent started the work for monitoring these lines June 15. The plant will remain on maintenance status until these lines are monitored and calibrated into the Mountaineer output.

Please contact Customer Care or call (866)292-8060 with any questions or concerns.

Jun 22, 2015 - Facility Monitoring Changes: Boardman Generating Station

Boardman Generating Station: Monitoring Changes

The Carty Generating Station is being built next to Boardman along with the new Grassland substation. The lines from Boardman and Carty will now interconnect to Grassland. During the week of June 22, we will have a field agent at Boardman working on the monitoring changes that are required. The plant will remain on maintenance status until the changes are complete.

Please contact Customer Care or call (866)292-8060 with any questions or concerns.

Jun 19, 2015 - Facility Cellular Coverage Disruption: Bluegrass Ridge Wind

Bluegrass Ridge Wind: Cellular Coverage Disruption

There is currently no cellular coverage available along the Gentry-Fairport 161 kV line at Bluegrass Ridge Wind. New communication towers have been installed but there is no timetable on when they will be complete. Bluegrass Ridge Wind and the Fairport line will remain on maintenance status until the cellular disruption is resolved.

Please contact Customer Care or call (866)292-8060 with any questions or concerns.

Genscape Power RTTM works best with the latest versions of Internet Explorer, Firefox, Safari, and Chrome. Please enable JavaScript and update your Flash plugin to the most recent version. Adobe Flash plugin version 10.2 or higher is required.

Log In

Username
Password